Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ExternalIdentifierType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ExternalIdentifierTypeImpl

    public interface ExternalIdentifierType

extends RegistryObjectType

A representation of the model object 'External Identifier Type'. ExternalIdentifier is the mapping of the same named interface in ebRIM. It extends RegistryObject.

The following features are supported:

- `Identification Scheme`
- `Registry Object`
- `Value`

See Also:
  `RimPackage.getExternalIdentifierType()`

Method Summary
`java.lang.String` | `getIdentificationScheme()` Returns the value of the 'Identification Scheme' attribute.
`java.lang.String` | `getRegistryObject()` Returns the value of the 'Registry Object' attribute.
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setIdentificationScheme(java.lang.String value)` Sets the value of the '`Identification Scheme`' attribute.
`void` | `setRegistryObject(java.lang.String value)` Sets the value of the '`Registry Object`' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIdentificationScheme

    java.lang.String getIdentificationScheme()

  Returns the value of the 'Identification Scheme' attribute.

  If the meaning of the 'Identification Scheme' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identification Scheme' attribute.
  See Also:
    `setIdentificationScheme(String)`, `RimPackage.getExternalIdentifierType_IdentificationScheme()`

### setIdentificationScheme

    void setIdentificationScheme(java.lang.String value)

  Sets the value of the '`Identification Scheme`' attribute.

  Parameters:
    `value` - the new value of the 'Identification Scheme' attribute.
  See Also:
    `getIdentificationScheme()`

### getRegistryObject

    java.lang.String getRegistryObject()

  Returns the value of the 'Registry Object' attribute.

  If the meaning of the 'Registry Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object' attribute.
  See Also:
    `setRegistryObject(String)`, `RimPackage.getExternalIdentifierType_RegistryObject()`

### setRegistryObject

    void setRegistryObject(java.lang.String value)

  Sets the value of the '`Registry Object`' attribute.

  Parameters:
    `value` - the new value of the 'Registry Object' attribute.
  See Also:
    `getRegistryObject()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `RimPackage.getExternalIdentifierType_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD